Last Updated:

How to fix Bluetooth not Working on Linux [Kali]

Well I had a problem that bluetooth was always turned off. I go into the Bluetooth > configuration, and every time I try to turn it off, after a while it turns off. I tried using this command:

aptitude install bluetooth

and then run

/etc/init.d/bluetooth start

after that I ran /etc/init.d/bluetooth status and here's what it shows:

 bluetooth.service - Bluetooth service Loaded: loaded (/lib/systemd/system/bluetooth.service; disabled; vendor preset: disabled) Active: active (working) since Tue 2017-01-17 21:13:47 UTC; 29s ago Docs: man: bluetoothd (8) Main PID: 7939 (bluetoothd) Status: Running Tasks: 1 (limit: 4915) CGroup:/system.slice/bluetooth.service └─7939/usr/lib/bluetooth/ bluetoothdJan 17 21:13:47 kali bluetoothd [7939]: Error adding Link Loss service Jan 17 21:13:47 kali bluetoothd [7939]: Not enough free handles to register ... ceJan 17 21:13:47 kali bluetoothd [ 7939 ]: Not enough free handles to register ... ceJan 17 21:13:47 kali bluetoothd [7939]: Not enough free handles to register ... ceJan 17 21:13:47 kali bluetoothd [7939]: Current Time Service may fail be re ... edJan 17 21:13:47 kali bluetoothd [7939]: gatt-time-server: I/O error (5) Jan 17 21:13:47 kali bluetoothd [7939]: not enough free handles to register . .. ceJan 17 21:13:47 kali bluetoothd [7939]: Not enough free handles to register ... ceJan 17 21:13:47 kali bluetoothd [7939]: Initialization failed and SAP drivers. Jan 17 21:13:47 kali bluetoothd[7939]: sap-server: Operation denied (1) Hint: Some lines have been ellipsis-extended, use -l for s as in full.

My computer is a Sony VAIO SVF15A17CLV.

Thank you!!

Edited: After running the service restart command that some of you suggested, I got the following result:

 bluetooth.service - Bluetooth service loaded: loaded (/lib/systemd/system/bluetooth.service ; disabled; vendor preset: disabled) Active: active (running) since Thu 2018-05-03 23:44:12 UTC; 5min ago Docs: man: bluetoothd (8) Main PID: 3882 (bluetoothd) Status: Running Tasks: 1 (limit: 4915) CGroup:/system.slice/bluetooth.service └─3882/usr/lib/bluetooth/ bluetoothd May 3 23:44:12 kali systemd [1]: starting bluetooth service ... May 3 23:44:12 kali bluetoothd [3882]: Bluetooth daemon 5,36 May 3 23:44:12 kali systemd [1] : start bluetooth service.May 03 23:44:12 kali bluetoothd [3882]: start SDPMay server 03 23:44:12 kali bluetoothd [3882]: bluetooth management interface 1.12 ... ed Hint: some lines have been increased in ellipsis, use -l to display in full.

Seems better, but still doesn't work. When I go into the bluetooth settings, it's always off. After I click the Start button, it will look like this:

PS: I know it's not a hardware issue because if I boot from Windows 10, it works properly.


I think we had the same problem. My Bluetooth didn't turn on and stayed off. Here's what I did to fix this problem:

restart bluetooth service

This restarted the Bluetooth service and I was able to turn it on and it will remain on. I was also able to see the Bluetooth devices and reconnect to the headphones.

 
 
 
 

I think we have the same problem. My Bluetooth won't turn on and stays off. Here's what I did to fix this problem:

 restart bluetooth service

This restarted the Bluetooth service and I was able to turn it on and it will remain on. I was also able to see the Bluetooth devices and reconnect to the headphones.


I had the same problem. a few minutes ago until I restarted the Bluetooth service from Terminal as root. I fix this by typing in the terminal:

 sudo service bluetooth restart 

On systemd systems:

 sudo systemctl restart bluetooth 

Then go back to the settings and in the bluetooth menu you will have the available devices.

 
 
 
 

I had the same problem a few minutes ago until I restarted the Bluetooth service from terminal as root. I fix this by typing in the terminal:

 sudo service bluetooth restart 

On systemd systems:

 sudo systemctl restart bluetooth 

Then go back to the settings and in the bluetooth menu you will have the available devices.


This link may help you. I tried and my bluetooth too was turned on after rebooting..

 

This link may help you. I tried and my bluetooth was turned on and after rebooting..

https://techrevelations.de/2018/07/15/fix-bluetooth-kali-linux/


I made a small script for beginners to automate Bluetooth on your device.

  • Open Leafpad, copy and paste this text, and save it as without an extension, such as .sh or anything else, to the . bt /bin

  • Navigate to the folder and locate . Right-click the file, select Properties, and then make the file executable. /bin/ bt

  • Then open a @root terminal and type . bt

and you're done.

 #!/bin/bash if [$ (id -u)! = "0"]; then echo echo -e "!! You need to be logged in as e [101m" !! superuser!! "e[0m" "e[39m to run this script!!" >& 2 " e [0m" echoexit 1firead -p "Are you sure you want to start Bluetooth y/n?" -N 1 -r echo if [[! $REPLY = ~^[Yy]$]], then [["$0" = "$BASH_SOURCE"]] && exit 1 || return 1fi echo echo -n read -t 1 echo -n -e " e [39m" !! " e [34m e [5m" Bluetooth " e [25m e [39m" Manager !! " e [0m" echo read -t 1 echo echo -n -e "!! Take an e [ 34m "Blue" [39m "tablet and enjoy the ride!! " e [0m" echo read -t 1 echo -n "!! working on it!!" echo read -t 1 echo echo -n "!! Downloading update!!" echo read -t 1 echo sudo apt-get update echo echo -n -e "e [31m" !! "e [39m" install missing drivers "e [31m" !! "e [0m" echo read -t 2 echo sudo apt-get install bluetooth echo echo -n -e "unblock bluetooth with e [101m" Rfkill " e [0m" unblock all " e [0m" echo read -t 2 echo sudo rfkill unblock all sudo /etc/init.d/bluetooth start echo echo -n -e " e [31m" !! "e[32m" You are good for "e[34m e[5m" Go "e[25m e[31m" !! "e[0m" echo read -t 1 echoexit 1fi 

 

 
 
 
 

I made a small script for beginners to automate Bluetooth on your device.

  • Open Leafpad, copy and paste this text, and save it as without an extension, such as .sh or anything else, to the . bt /bin

  • Navigate to the folder and locate . Right-click the file, select Properties, and then make the file executable. /bin/ bt

  • Then open a @root terminal and type . bt

and you're done.

 #!/bin/bash if [$ (id -u)! = "0"]; then echo echo -e "!! You need to be logged in as e [101m" !! superuser!! "e[0m" "e[39m to run this script!!" >& 2 " e [0m" echoexit 1firead -p "Are you sure you want to start Bluetooth y/n?" -N 1 -r echo if [[! $REPLY = ~^[Yy]$]], then [["$0" = "$BASH_SOURCE"]] && exit 1 || return 1fi echo echo -n read -t 1 echo -n -e " e [39m" !! " e [34m e [5m" Bluetooth " e [25m e [39m" Manager !! " e [0m" echo read -t 1 echo echo -n -e "!! Take an e [ 34m "Blue" [39m "tablet and enjoy the ride!! " e [0m" echo read -t 1 echo -n "!! working on it!!" echo read -t 1 echo echo -n "!! Downloading update!!" echo read -t 1 echo sudo apt-get update echo echo -n -e "e [31m" !! "e [39m" install missing drivers "e [31m" !! "e [0m" echo read -t 2 echo sudo apt-get install bluetooth echo echo -n -e "unblock bluetooth with e [101m" Rfkill " e [0m" unblock all " e [0m" echo read -t 2 echo sudo rfkill unblock all sudo /etc/init.d/bluetooth start echo echo -n -e " e [31m" !! "e[32m" You are good for "e[34m e[5m" Go "e[25m e[31m" !! "e[0m" echo read -t 1 echoexit 1fi

For me, the startup service worked.

/etc/init.d/bluetooth start 

I was able to find a Bluetooth device and connect.
Then I tried to enable it with

bluetooth manager/bluetooth adapter - goservice didn't work for me. 

 

 
 
 
 

For me, starting the service worked.

/etc/init.d/bluetooth start 

I was able to find a Bluetooth device and connect.
Then I tried to enable it used

bluetooth manager/bluetooth adapter - goservice didn't work for me.  

To fix the problem, I did the following.

I started by restarting the service:

 $ sudo service bluetooth restart 

Then restart system management:

 $ sudo systemctl restart bluetooth 

I went to the bin directory:

 $ cd//bin 

Then I ran the service file as an exec found in bin

 $ sudo ./bluetoothctl 

With bluetoothctl, use terminal commands in blutoothctl to scan (by enabling it)

 $ scan on 

Then connect the device (use the digital device ID without a name, copying and pasting is fast):

 $ connect 00: 00: 00: 00  : 00 

* Please note double check the rfkill and make sure it is not blocked. If the following is blocked (provided that the bluetooth ID is specified as device 0), unlocks it:

 $ sudo rfkill unblock 0 

 

 
 
 
 

To fix the problem, I did the following.

I started by restarting the service:

 $ sudo service bluetooth restart 

Then restart system management:

 $ sudo systemctl  перезапустите bluetooth 

I went to the bin directory:

 $ cd//bin 

Then I ran the service file as an exec found in bin

 $ sudo ./bluetoothctl

With bluetoothctl, use terminal commands in blutoothctl to scan (by enabling it)

 $ scan on 

Then connect the device (use the digit of the device ID without a name, copying and pasting is fast):

 $ connect 00: 00: 00: 00: 00 

* Note, double check the rfkill and make sure it is unlocked. If the following is blocked (provided that the bluetooth ID is specified as device 0), unlocks it:

 $ sudo rfkill unblock 0 

This will add the bluetooth service to the startup process even after a reboot, which you can do with other system services. sudo systemctl enable bluetooth

 
 
 

This will add bluetooth service to the startup process even after rebooting you can do this with other system services. sudo systemctl enable bluetooth